/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package forms;

import java.text.SimpleDateFormat;
import java.util.Date;
import javax.swing.JOptionPane;
import java.awt.Image;
import java.awt.Graphics;
import javax.swing.ImageIcon;
        
/**
 *
 * @author alcebiades
 */
public class FormPrincipal extends javax.swing.JFrame {

    /**
     * Creates new form formPrincipal
     */
    public FormPrincipal() {
        initComponents();
        setExtendedState(java.awt.Frame.MAXIMIZED_BOTH);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        ImageIcon icon = new ImageIcon(getClass().getResource("/imagens/logomarca-salão-de-beleza.png"));
        Image image = icon.getImage();
        jDesktopPane1 = new javax.swing.JDesktopPane(){

            public void paintComponent(Graphics g) {
                g.drawImage(image,0,0,getWidth(),getHeight(),this);
            }

        };
        jMenuBar1 = new javax.swing.JMenuBar();
        miAgenda = new javax.swing.JMenu();
        miAgendarAtendimento = new javax.swing.JMenuItem();
        miRegistrarAtendimento = new javax.swing.JMenuItem();
        jSeparator1 = new javax.swing.JPopupMenu.Separator();
        miSair = new javax.swing.JMenuItem();
        mnCadastro = new javax.swing.JMenu();
        miCadastrarCliente = new javax.swing.JMenuItem();
        miCadastrarFuncionario = new javax.swing.JMenuItem();
        miCadastrarServico = new javax.swing.JMenuItem();
        mnConsultas = new javax.swing.JMenu();
        miConsultarClientes = new javax.swing.JMenuItem();
        miConsultarFuncionario = new javax.swing.JMenuItem();
        miConsultarServico = new javax.swing.JMenuItem();
        miConsultarAgendamento = new javax.swing.JMenuItem();
        mnAjuda = new javax.swing.JMenu();
        miSobre = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Principal");
        setBackground(new java.awt.Color(1, 1, 1));
        setResizable(false);

        miAgenda.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/address-book-new-3.png"))); // NOI18N
        miAgenda.setText("Agenda");

        miAgendarAtendimento.setText("Agendar Atendimento");
        miAgendarAtendimento.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miAgendarAtendimentoActionPerformed(evt);
            }
        });
        miAgenda.add(miAgendarAtendimento);

        miRegistrarAtendimento.setText("Registrar Atendimento");
        miRegistrarAtendimento.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miRegistrarAtendimentoActionPerformed(evt);
            }
        });
        miAgenda.add(miRegistrarAtendimento);
        miAgenda.add(jSeparator1);

        miSair.setText("Sair");
        miSair.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miSairActionPerformed(evt);
            }
        });
        miAgenda.add(miSair);

        jMenuBar1.add(miAgenda);

        mnCadastro.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/edit-paste-3.png"))); // NOI18N
        mnCadastro.setText("Cadastro");

        miCadastrarCliente.setText("Cadastrar Cliente");
        miCadastrarCliente.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miCadastrarClienteActionPerformed(evt);
            }
        });
        mnCadastro.add(miCadastrarCliente);

        miCadastrarFuncionario.setText("Cadastrar Funcionário");
        miCadastrarFuncionario.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miCadastrarFuncionarioActionPerformed(evt);
            }
        });
        mnCadastro.add(miCadastrarFuncionario);

        miCadastrarServico.setText("Cadastrar Serviço");
        miCadastrarServico.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miCadastrarServicoActionPerformed(evt);
            }
        });
        mnCadastro.add(miCadastrarServico);

        jMenuBar1.add(mnCadastro);

        mnConsultas.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/zoom-3.png"))); // NOI18N
        mnConsultas.setText("Consultas");

        miConsultarClientes.setText("Consultar Clientes");
        miConsultarClientes.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miConsultarClientesActionPerformed(evt);
            }
        });
        mnConsultas.add(miConsultarClientes);

        miConsultarFuncionario.setText("Consultar Funcionários");
        miConsultarFuncionario.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miConsultarFuncionarioActionPerformed(evt);
            }
        });
        mnConsultas.add(miConsultarFuncionario);

        miConsultarServico.setText("Consultar Serviços");
        miConsultarServico.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miConsultarServicoActionPerformed(evt);
            }
        });
        mnConsultas.add(miConsultarServico);

        miConsultarAgendamento.setText("Consultar Agendamento");
        miConsultarAgendamento.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miConsultarAgendamentoActionPerformed(evt);
            }
        });
        mnConsultas.add(miConsultarAgendamento);

        jMenuBar1.add(mnConsultas);

        mnAjuda.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/help-about-2.png"))); // NOI18N
        mnAjuda.setText("Ajuda");

        miSobre.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/help-about-3.png"))); // NOI18N
        miSobre.setText("Sobre");
        miSobre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miSobreActionPerformed(evt);
            }
        });
        mnAjuda.add(miSobre);

        jMenuBar1.add(mnAjuda);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jDesktopPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 600, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jDesktopPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 359, Short.MAX_VALUE)
        );

        setSize(new java.awt.Dimension(600, 427));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void miCadastrarClienteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miCadastrarClienteActionPerformed
        new FormCliente().setVisible(true);
    }//GEN-LAST:event_miCadastrarClienteActionPerformed

    private void miConsultarClientesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miConsultarClientesActionPerformed
        new FormBuscaCliente().setVisible(true);
    }//GEN-LAST:event_miConsultarClientesActionPerformed

    private void miSairActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miSairActionPerformed
        int result = JOptionPane.showConfirmDialog(null, "Deseja realmente sair?","Atenção",JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);
        if(result == JOptionPane.YES_OPTION){
            this.dispose();
        }
    }//GEN-LAST:event_miSairActionPerformed

    private void miCadastrarFuncionarioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miCadastrarFuncionarioActionPerformed
        new FormFuncionario().setVisible(true);
    }//GEN-LAST:event_miCadastrarFuncionarioActionPerformed

    private void miConsultarFuncionarioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miConsultarFuncionarioActionPerformed
        new FormBuscaFuncionario().setVisible(true);
    }//GEN-LAST:event_miConsultarFuncionarioActionPerformed

    private void miSobreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miSobreActionPerformed
        SimpleDateFormat f = new SimpleDateFormat("dd/MM/yyyy");
        Date a = new Date();
        JOptionPane.showMessageDialog(null, "Alcebiades Lopes Gamas\n"+
                "Pedro Henrique Robadel\n" + f.format(a.getTime()) , "Autores",1) ;
    }//GEN-LAST:event_miSobreActionPerformed

    private void miConsultarServicoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miConsultarServicoActionPerformed
        new FormBuscarServico().setVisible(true);
    }//GEN-LAST:event_miConsultarServicoActionPerformed

    private void miCadastrarServicoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miCadastrarServicoActionPerformed
        new FormServico().setVisible(true);
    }//GEN-LAST:event_miCadastrarServicoActionPerformed

    private void miAgendarAtendimentoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miAgendarAtendimentoActionPerformed
        new FormAgendamento().setVisible(true);
    }//GEN-LAST:event_miAgendarAtendimentoActionPerformed

    private void miRegistrarAtendimentoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miRegistrarAtendimentoActionPerformed
        new FormAtendimento().setVisible(true);
    }//GEN-LAST:event_miRegistrarAtendimentoActionPerformed

    private void miConsultarAgendamentoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miConsultarAgendamentoActionPerformed
        new FormBuscaAgendamento().setVisible(true);
    }//GEN-LAST:event_miConsultarAgendamentoActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FormPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FormPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FormPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FormPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new FormPrincipal().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JDesktopPane jDesktopPane1;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JPopupMenu.Separator jSeparator1;
    private javax.swing.JMenu miAgenda;
    private javax.swing.JMenuItem miAgendarAtendimento;
    private javax.swing.JMenuItem miCadastrarCliente;
    private javax.swing.JMenuItem miCadastrarFuncionario;
    private javax.swing.JMenuItem miCadastrarServico;
    private javax.swing.JMenuItem miConsultarAgendamento;
    private javax.swing.JMenuItem miConsultarClientes;
    private javax.swing.JMenuItem miConsultarFuncionario;
    private javax.swing.JMenuItem miConsultarServico;
    private javax.swing.JMenuItem miRegistrarAtendimento;
    private javax.swing.JMenuItem miSair;
    private javax.swing.JMenuItem miSobre;
    private javax.swing.JMenu mnAjuda;
    private javax.swing.JMenu mnCadastro;
    private javax.swing.JMenu mnConsultas;
    // End of variables declaration//GEN-END:variables
}
